MemStream.h File Reference

Go to the source code of this file.

## Classes

struct | grk::MemStream

## Namespaces

namespace | grk
| Copyright (C) 2016-2023 Grok Image Compression Inc.

## Typedefs

typedef int32_t | grk::grk_handle
typedef size_t(* | grk::grk_stream_zero_copy_read_fn) (uint8_t **buffer, size_t numBytes, void *user_data)

## Functions

void | grk::set_up_mem_stream (grk_stream *stream, size_t len, bool is_read_stream)
grk_stream * | grk::create_mem_stream (uint8_t *buf, size_t len, bool ownsBuffer, bool is_read_stream)
| Create stream from buffer.
size_t | grk::get_mem_stream_offset (grk_stream *stream)